Bug 127353 - BAD wont use WEP
Summary: BAD wont use WEP
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-06 23:51 UTC by matthew pease
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 14:25:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description matthew pease 2004-07-06 23:51:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Activating Wireless LAN card (linksys instant wireless lan card v3)
produces the following message and fails to set wep code

Error for wireless request "Set Encode" (8B2A) :
    SET failed on device eth1 ; Invalid argument





Version-Release number of selected component (if applicable):
1.3.16-1

How reproducible:
Always

Steps to Reproduce:
Activate Card with wep enabled

Additional info:

work around can be used by iwconfig eth1 enc (wepcodehere)

however this has to be done after every boot.

Comment 1 matthew pease 2004-07-06 23:52:05 UTC
Also cant get ip because of webcode not being set

Comment 2 Harald Hoyer 2004-07-07 08:25:31 UTC
the initscripts do:
# iwconfig eth1 key <wep>
is that different from
# iwconfig eth1 enc <wep>
??? I do not think so...


Comment 3 matthew pease 2004-07-07 15:08:32 UTC
dont know as it never shows a wepcode as enterd when i do iwconfig eth1

when i did it though the menu and set it to activate interface on startup

Comment 4 matthew pease 2004-07-10 15:08:38 UTC
AHH i feel a right idoiot i forgot to put the 0x bit in at the start

Comment 5 Matthew Miller 2005-04-26 16:11:31 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.